Skip to content

Get Brand Profile

GET
/api/v1/workspaces/{workspace_id}/email_design_systems/{emailDesignSystemId}/brand_profiles/{id}
curl --request GET \
--url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1/brand_profiles/1 \
--header 'Authorization: Bearer <token>'

Retrieves a brand profile.

  • OAuth2
    email_design_systems:read
workspace_id
required
integer

Workspace ID

emailDesignSystemId
required
integer

Email Design System ID

id
required
integer

Brand Profile ID

Successful

Media typeapplication/json
object
id
required
integer
name
required
string
component_overrides
required
Array<object>
object
component_name
required
string
hidden
required

When a component is hidden, it is not available for selection within the email editor.

boolean
field_overrides
required

Overrides for individual field defaults when this brand profile is active.

Array<object>
object
liquid_variable
required
string
default_value
One of:
string
hidden_in_editor
boolean
hidden_from_ai
boolean
label
string
design_tokens
required
object
key
additional properties
any
created_at
required
string format: date-time
updated_at
required
string format: date-time
email_design_system_id
required
integer
Example
{
"id": 1,
"name": "My Brand",
"component_overrides": [
{
"component_name": "Headline",
"hidden": false,
"field_overrides": [
{
"liquid_variable": "headline",
"default_value": "Hello, world!",
"hidden_in_editor": false,
"hidden_from_ai": false,
"label": "Headline"
}
]
}
],
"design_tokens": {
"primary_button_color": "#007bff",
"secondary_button_color": "#6c757d"
},
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"email_design_system_id": 1
}

Unauthorized

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Forbidden

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Not Found

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}